Previous: Keyboard resources, Up: Keyboard settings [Contents][Index]

#### 6.6.2 Keyboard command-line options

`-keymap <number>`

  Specifies which keymap is being used (`KeymapIndex` 0: symbolic, 1: positional, 2: symbolic (user), 3: positional (user)).

`-symkeymap <Name>`

  Specify filename of the symbolic user keymap file (`KeymapUserSymFile`).

`-poskeymap <Name>`

  Specify filename of the positional user keymap file (`KeymapUserPosFile`).

`-keyboardmapping <number>`

  Specifies the keyboard layout of the host (`KeyboardMapping` 0: American 1: British 2: German 3: Danish 4: Norwegian 5: Finnish 6: Italian).

`-keyboardtype <number>`

  Specifies the emulated type of keyboard (`KeyboardType` machine specific, currently always 0 except for xpet: 0: Business (us) 1: Business (uk) 2: Business (de) 3: Business (jp) 4: Graphics (us)).